Project

General

Profile

Bug #11546

ceph / ceph-dbg steal ceph-objecstore-tool from ceph-test / ceph-test-dbg

Added by Yuri Weinstein over 4 years ago. Updated about 4 years ago.

Status:
Resolved
Priority:
Urgent
Assignee:
Category:
-
Target version:
-
Start date:
05/06/2015
Due date:
% Done:

0%

Source:
Q/A
Tags:
Backport:
hammer
Regression:
No
Severity:
1 - critical
Reviewed:
Affected Versions:
ceph-qa-suite:
upgrade/client-upgrade, upgrade/dumpling-firefly-x, upgrade/firefly-x
Pull request ID:

Description

(same run pass here http://pulpito-rdu.front.sepia.ceph.com/teuthology-2015-04-17_15:41:36-upgrade:client-upgrade-hammer-distro-basic-typica/)

Run: http://typica002.front.sepia.ceph.com/teuthology-2015-05-06_10:56:20-upgrade:client-upgrade-master-distro-basic-typica/
Job: 11187
Logs: http://typica002.front.sepia.ceph.com/teuthology-2015-05-06_10:56:20-upgrade:client-upgrade-master-distro-basic-typica/11187/

2015-05-06T11:05:50.813 INFO:teuthology.orchestra.run.typica175.stderr:dpkg: error processing archive /var/cache/apt/archives/ceph_9.0.0-529-ge8aff1c-1trusty_amd64.deb (--unpack):
2015-05-06T11:05:50.813 INFO:teuthology.orchestra.run.typica175.stderr: trying to overwrite '/usr/bin/ceph-objectstore-tool', which is also in package ceph-test 0.94.1-47-g58b30d5-1trusty
2015-05-06T11:05:50.841 INFO:teuthology.orchestra.run.typica175.stderr:dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
2015-05-06T11:05:51.095 INFO:teuthology.orchestra.run.typica175.stdout:Preparing to unpack .../ceph-fuse-dbg_9.0.0-529-ge8aff1c-1trusty_amd64.deb ...
2015-05-06T11:05:51.154 INFO:teuthology.orchestra.run.typica175.stdout:Unpacking ceph-fuse-dbg (9.0.0-529-ge8aff1c-1trusty) over (0.94.1-47-g58b30d5-1trusty) ...
2015-05-06T11:05:54.289 INFO:teuthology.orchestra.run.typica175.stdout:Preparing to unpack .../ceph-fuse_9.0.0-529-ge8aff1c-1trusty_amd64.deb ...
2015-05-06T11:05:54.353 INFO:teuthology.orchestra.run.typica175.stdout:Unpacking ceph-fuse (9.0.0-529-ge8aff1c-1trusty) over (0.94.1-47-g58b30d5-1trusty) ...
2015-05-06T11:05:55.082 INFO:teuthology.orchestra.run.typica175.stdout:Preparing to unpack .../libcephfs-jni_9.0.0-529-ge8aff1c-1trusty_amd64.deb ...
2015-05-06T11:05:55.377 INFO:teuthology.orchestra.run.typica175.stdout:Unpacking libcephfs-jni (9.0.0-529-ge8aff1c-1trusty) over (0.94.1-47-g58b30d5-1trusty) ...
2015-05-06T11:05:59.065 INFO:teuthology.orchestra.run.typica175.stdout:Preparing to unpack .../libcephfs-java_9.0.0-529-ge8aff1c-1trusty_all.deb ...
2015-05-06T11:05:59.121 INFO:teuthology.orchestra.run.typica175.stdout:Unpacking libcephfs-java (9.0.0-529-ge8aff1c-1trusty) over (0.94.1-47-g58b30d5-1trusty) ...
2015-05-06T11:05:59.410 INFO:teuthology.orchestra.run.typica175.stdout:Preparing to unpack .../python-ceph_9.0.0-529-ge8aff1c-1trusty_amd64.deb ...
2015-05-06T11:05:59.649 INFO:teuthology.orchestra.run.typica175.stdout:Unpacking python-ceph (9.0.0-529-ge8aff1c-1trusty) over (0.94.1-47-g58b30d5-1trusty) ...
2015-05-06T11:06:00.212 INFO:teuthology.orchestra.run.typica175.stdout:Preparing to unpack .../rbd-fuse_9.0.0-529-ge8aff1c-1trusty_amd64.deb ...
2015-05-06T11:06:00.493 INFO:teuthology.orchestra.run.typica175.stdout:Unpacking rbd-fuse (9.0.0-529-ge8aff1c-1trusty) over (0.94.1-47-g58b30d5-1trusty) ...
2015-05-06T11:06:00.748 INFO:teuthology.orchestra.run.typica175.stdout:Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
2015-05-06T11:06:01.270 INFO:teuthology.orchestra.run.typica175.stdout:Processing triggers for ureadahead (0.100.0-16) ...
2015-05-06T11:06:01.459 INFO:teuthology.orchestra.run.typica175.stderr:Errors were encountered while processing:
2015-05-06T11:06:01.460 INFO:teuthology.orchestra.run.typica175.stderr: /var/cache/apt/archives/ceph-dbg_9.0.0-529-ge8aff1c-1trusty_amd64.deb
2015-05-06T11:06:01.460 INFO:teuthology.orchestra.run.typica175.stderr: /var/cache/apt/archives/ceph_9.0.0-529-ge8aff1c-1trusty_amd64.deb
2015-05-06T11:06:01.942 INFO:teuthology.orchestra.run.typica175.stderr:E: Sub-process /usr/bin/dpkg returned an error code (1)
2015-05-06T11:06:01.945 ERROR:teuthology.run_tasks:Saw exception from tasks.
Traceback (most recent call last):
  File "/home/teuthworker/src/teuthology_master/teuthology/run_tasks.py", line 55, in run_tasks
    manager.__enter__()
  File "/usr/lib/python2.7/contextlib.py", line 17, in __enter__
    return self.gen.next()
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 1144, in upgrade
    upgrade_common(ctx, config, upgrade_old_style)
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 1090, in upgrade_common
    deploy_style(ctx, node, remote, pkgs, system_type)
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 1003, in upgrade_old_style
    _upgrade_deb_packages(ctx, node, remote, pkgs)
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 938, in _upgrade_deb_packages
    ] + ['%s=%s' % (d, version) for d in debs],
  File "/home/teuthworker/src/teuthology_master/teuthology/orchestra/remote.py", line 156, in run
    r = self._runner(client=self.ssh, name=self.shortname, **kwargs)
  File "/home/teuthworker/src/teuthology_master/teuthology/orchestra/run.py", line 378, in run
    r.wait()
  File "/home/teuthworker/src/teuthology_master/teuthology/orchestra/run.py", line 114, in wait
    label=self.label)
CommandFailedError: Command failed on typica175 with status 100: 'sudo DEBIAN_FRONTEND=noninteractive apt-get -y --force-yes -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install ceph-mds=9.0.0-529-ge8aff1c-1trusty ceph-mds-dbg=9.0.0-529-ge8aff1c-1trusty radosgw-dbg=9.0.0-529-ge8aff1c-1trusty rbd-fuse=9.0.0-529-ge8aff1c-1trusty librbd1=9.0.0-529-ge8aff1c-1trusty librados2-dbg=9.0.0-529-ge8aff1c-1trusty ceph-fuse=9.0.0-529-ge8aff1c-1trusty python-ceph=9.0.0-529-ge8aff1c-1trusty librbd1-dbg=9.0.0-529-ge8aff1c-1trusty ceph-fuse-dbg=9.0.0-529-ge8aff1c-1trusty ceph=9.0.0-529-ge8aff1c-1trusty ceph-common=9.0.0-529-ge8aff1c-1trusty libcephfs-jni=9.0.0-529-ge8aff1c-1trusty libcephfs1-dbg=9.0.0-529-ge8aff1c-1trusty radosgw=9.0.0-529-ge8aff1c-1trusty librados2=9.0.0-529-ge8aff1c-1trusty ceph-common-dbg=9.0.0-529-ge8aff1c-1trusty ceph-dbg=9.0.0-529-ge8aff1c-1trusty libcephfs-java=9.0.0-529-ge8aff1c-1trusty libcephfs1=9.0.0-529-ge8aff1c-1trusty'
2015-05-06T11:06:01.948 DEBUG:teuthology.run_tasks:Unwinding manager install

Related issues

Related to devops - Backport #11733: Debian: ceph-test and rest-bench debug packages should require their respective binary packages Resolved 05/18/2015
Blocked by devops - Backport #11734: Debian: ceph-test and rest-bench debug packages should require their respective binary packages Resolved 05/18/2015
Copied to devops - Backport #11806: ceph / ceph-dbg steal ceph-objecstore-tool from ceph-test / ceph-test-dbg Resolved 05/06/2015

Associated revisions

Revision 6f11fbf4 (diff)
Added by Loic Dachary over 4 years ago

debian: ceph-dbg steals ceph-objectstore-tool from ceph-test-dbg

When ceph-objectstore-tool was moved from ceph-test to
ceph by 61cf5da0b51e2d9578c7b4bca85184317e30f4ca, the ceph package in
debian/control was updated accordingly, as recommended by
https://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

The same must be done for the ceph-dbg package because
/usr/lib/debug/usr/bin/ceph-objectstore-too is no longer in
ceph-test-dbg.

Although the change was merged may 6th, 2015
8f23382064c189b657564d58c3f9d17720e891ed, teuthology jobs were not
always failing because packages were not systematically upgraded during
the installation. The missing dependencies that were responsible for
this upgrade problem were fixed by
f898ec1e4e3472b0202280f09653a769fc62c8d3 on may 18th, 2015 and all
upgrade tests relying on ceph-*-dbg packages started to fail
systematically after this date.

http://tracker.ceph.com/issues/11546 Fixes: #11546

Signed-off-by: Loic Dachary <>

Revision 968573b8 (diff)
Added by Loic Dachary over 4 years ago

debian: ceph-dbg steals ceph-objectstore-tool from ceph-test-dbg

When ceph-objectstore-tool was moved from ceph-test to
ceph by 61cf5da0b51e2d9578c7b4bca85184317e30f4ca, the ceph package in
debian/control was updated accordingly, as recommended by
https://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

The same must be done for the ceph-dbg package because
/usr/lib/debug/usr/bin/ceph-objectstore-too is no longer in
ceph-test-dbg.

Although the change was merged may 6th, 2015
8f23382064c189b657564d58c3f9d17720e891ed, teuthology jobs were not
always failing because packages were not systematically upgraded during
the installation. The missing dependencies that were responsible for
this upgrade problem were fixed by
f898ec1e4e3472b0202280f09653a769fc62c8d3 on may 18th, 2015 and all
upgrade tests relying on ceph-*-dbg packages started to fail
systematically after this date.

http://tracker.ceph.com/issues/11546 Fixes: #11546

Signed-off-by: Loic Dachary <>
(cherry picked from commit 6f11fbf41fab10924b1e0e41fcf27864779d4073)

History

#1 Updated by Yuri Weinstein over 4 years ago

  • Subject changed from Packaging failures in pgrade:client-upgrade-master-distro-basic-typica run to Packaging failures in upgrade:client-upgrade-master-distro-basic-typica run

#3 Updated by Yuri Weinstein over 4 years ago

  • Subject changed from Packaging failures in upgrade:client-upgrade-master-distro-basic-typica run to Packaging failures (?)
  • Severity changed from 3 - minor to 1 - critical
  • ceph-qa-suite upgrade/dumpling added

Marked 'critical' as it's for hammer release.
Run: http://pulpito.ceph.com/teuthology-2015-05-15_13:27:01-upgrade:dumpling-firefly-x-hammer-distro-basic-multi/
Jobs: all
Logs: http://qa-proxy.ceph.com/teuthology/teuthology-2015-05-15_13:27:01-upgrade:dumpling-firefly-x-hammer-distro-basic-multi/894115/

2015-05-15T18:53:36.056 INFO:teuthology.orchestra.run.burnupi49.stdout:Processing triggers for ureadahead (0.100.0-16) ...
2015-05-15T18:53:36.111 INFO:teuthology.orchestra.run.burnupi49.stderr:Errors were encountered while processing:
2015-05-15T18:53:36.111 INFO:teuthology.orchestra.run.burnupi49.stderr: /var/cache/apt/archives/ceph-dbg_0.94.1-111-gb69fb89-1trusty_amd64.deb
2015-05-15T18:53:36.231 INFO:tasks.rados.rados.0.plana46.stdout:finishing write tid 3 to plana466326-40
2015-05-15T18:53:36.271 INFO:tasks.rados.rados.0.plana46.stdout:finishing write tid 4 to plana466326-40
2015-05-15T18:53:36.600 INFO:tasks.rados.rados.0.plana46.stdout:451: oids not in use 50
2015-05-15T18:53:36.600 INFO:tasks.rados.rados.0.plana46.stdout:Writing 33 current snap is 50
2015-05-15T18:53:36.600 INFO:tasks.rados.rados.0.plana46.stdout:waiting_on = 4
2015-05-15T18:53:36.600 INFO:tasks.rados.rados.0.plana46.stdout:Writing plana466326-33 from 0 to 56 tid 1 ranges are [0~56,434284~695569,1861781~712234,3190851~43433]
2015-05-15T18:53:36.635 INFO:tasks.rados.rados.0.plana46.stdout:Writing plana466326-33 from 434284 to 1129853 tid 2 ranges are [0~56,434284~695569,1861781~712234,3190851~43433]
2015-05-15T18:53:36.647 INFO:teuthology.orchestra.run.burnupi49.stderr:E: Sub-process /usr/bin/dpkg returned an error code (1)
2015-05-15T18:53:36.649 ERROR:teuthology.run_tasks:Saw exception from tasks.
Traceback (most recent call last):
  File "/home/teuthworker/src/teuthology_master/teuthology/run_tasks.py", line 56, in run_tasks
    manager.__enter__()
  File "/usr/lib/python2.7/contextlib.py", line 17, in __enter__
    return self.gen.next()
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 1144, in upgrade
    upgrade_common(ctx, config, upgrade_old_style)
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 1090, in upgrade_common
    deploy_style(ctx, node, remote, pkgs, system_type)
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 1003, in upgrade_old_style
    _upgrade_deb_packages(ctx, node, remote, pkgs)
  File "/home/teuthworker/src/teuthology_master/teuthology/task/install.py", line 938, in _upgrade_deb_packages
    ] + ['%s=%s' % (d, version) for d in debs],
  File "/home/teuthworker/src/teuthology_master/teuthology/orchestra/remote.py", line 156, in run
    r = self._runner(client=self.ssh, name=self.shortname, **kwargs)
  File "/home/teuthworker/src/teuthology_master/teuthology/orchestra/run.py", line 378, in run
    r.wait()
  File "/home/teuthworker/src/teuthology_master/teuthology/orchestra/run.py", line 114, in wait
    label=self.label)
CommandFailedError: Command failed on burnupi49 with status 100: 'sudo DEBIAN_FRONTEND=noninteractive apt-get -y --force-yes -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install librbd1-dbg=0.94.1-111-gb69fb89-1trusty ceph=0.94.1-111-gb69fb89-1trusty ceph-test=0.94.1-111-gb69fb89-1trusty ceph-dbg=0.94.1-111-gb69fb89-1trusty rbd-fuse=0.94.1-111-gb69fb89-1trusty librados2-dbg=0.94.1-111-gb69fb89-1trusty ceph-fuse-dbg=0.94.1-111-gb69fb89-1trusty libcephfs-jni=0.94.1-111-gb69fb89-1trusty libcephfs1-dbg=0.94.1-111-gb69fb89-1trusty radosgw=0.94.1-111-gb69fb89-1trusty librados2=0.94.1-111-gb69fb89-1trusty libcephfs1=0.94.1-111-gb69fb89-1trusty ceph-mds=0.94.1-111-gb69fb89-1trusty radosgw-dbg=0.94.1-111-gb69fb89-1trusty librbd1=0.94.1-111-gb69fb89-1trusty python-ceph=0.94.1-111-gb69fb89-1trusty ceph-test-dbg=0.94.1-111-gb69fb89-1trusty ceph-fuse=0.94.1-111-gb69fb89-1trusty ceph-common=0.94.1-111-gb69fb89-1trusty libcephfs-java=0.94.1-111-gb69fb89-1trusty ceph-common-dbg=0.94.1-111-gb69fb89-1trusty ceph-mds-dbg=0.94.1-111-gb69fb89-1trusty'
2015-05-15T18:53:36.707 ERROR:teuthology.run_tasks: Sentry event: http://sentry.ceph.com/sepia/teuthology/search?q=bb3fa01a18474631971e7fde8228111d
CommandFailedError: Command failed on burnupi49 with status 100: 'sudo DEBIAN_FRONTEND=noninteractive apt-get -y --force-yes -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install librbd1-dbg=0.94.1-111-gb69fb89-1trusty ceph=0.94.1-111-gb69fb89-1trusty ceph-test=0.94.1-111-gb69fb89-1trusty ceph-dbg=0.94.1-111-gb69fb89-1trusty rbd-fuse=0.94.1-111-gb69fb89-1trusty librados2-dbg=0.94.1-111-gb69fb89-1trusty ceph-fuse-dbg=0.94.1-111-gb69fb89-1trusty libcephfs-jni=0.94.1-111-gb69fb89-1trusty libcephfs1-dbg=0.94.1-111-gb69fb89-1trusty radosgw=0.94.1-111-gb69fb89-1trusty librados2=0.94.1-111-gb69fb89-1trusty libcephfs1=0.94.1-111-gb69fb89-1trusty ceph-mds=0.94.1-111-gb69fb89-1trusty radosgw-dbg=0.94.1-111-gb69fb89-1trusty librbd1=0.94.1-111-gb69fb89-1trusty python-ceph=0.94.1-111-gb69fb89-1trusty ceph-test-dbg=0.94.1-111-gb69fb89-1trusty ceph-fuse=0.94.1-111-gb69fb89-1trusty ceph-common=0.94.1-111-gb69fb89-1trusty libcephfs-java=0.94.1-111-gb69fb89-1trusty ceph-common-dbg=0.94.1-111-gb69fb89-1trusty ceph-mds-dbg=0.94.1-111-gb69fb89-1trusty'

#4 Updated by Yuri Weinstein over 4 years ago

  • ceph-qa-suite upgrade/dumpling-x added
  • ceph-qa-suite deleted (upgrade/dumpling)

#5 Updated by Yuri Weinstein over 4 years ago

  • ceph-qa-suite upgrade/dumpling-firefly-x added
  • ceph-qa-suite deleted (upgrade/dumpling-x)

#6 Updated by Yuri Weinstein over 4 years ago

Run: http://pulpito.ceph.com/teuthology-2015-05-15_17:18:01-upgrade:firefly-x-hammer-distro-basic-vps/
Jobs: ['894824', '894825', '894827', '894828', '894836', '894841', '894842', '894843', '894844', '894845']

#7 Updated by Ken Dreyer over 4 years ago

There are a couple of separate issues going on.


In the initial ticket description, the relevant lines are here:

2015-05-06T11:05:50.813 INFO:teuthology.orchestra.run.typica175.stderr:dpkg: error processing archive /var/cache/apt/archives/ceph_9.0.0-529-ge8aff1c-1trusty_amd64.deb (--unpack):
2015-05-06T11:05:50.813 INFO:teuthology.orchestra.run.typica175.stderr: trying to overwrite '/usr/bin/ceph-objectstore-tool', which is also in package ceph-test 0.94.1-47-g58b30d5-1trusty

I moved the ceph-objectstore-tool utility to the main "ceph" package in ticket #11376 . So if this is indeed broken, that's bad.


The next problem, linked in comment 2 above, seems to be here:

2015-05-06T09:18:42.660 INFO:teuthology.orchestra.run.burnupi46:Running: 'sudo DEBIAN_FRONTEND=noninteractive apt-get -y --force-yes -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install ceph-mds=0.94-917-g2ffb030-1trusty ceph-mds-dbg=0.94-917-g2ffb030-1trusty radosgw-dbg=0.94-917-g2ffb030-1trusty rbd-fuse=0.94-917-g2ffb030-1trusty librbd1=0.94-917-g2ffb030-1trusty librados2-dbg=0.94-917-g2ffb030-1trusty ceph-fuse=0.94-917-g2ffb030-1trusty python-ceph=0.94-917-g2ffb030-1trusty librbd1-dbg=0.94-917-g2ffb030-1trusty ceph-fuse-dbg=0.94-917-g2ffb030-1trusty ceph=0.94-917-g2ffb030-1trusty ceph-common=0.94-917-g2ffb030-1trusty libcephfs-jni=0.94-917-g2ffb030-1trusty libcephfs1-dbg=0.94-917-g2ffb030-1trusty radosgw=0.94-917-g2ffb030-1trusty librados2=0.94-917-g2ffb030-1trusty ceph-common-dbg=0.94-917-g2ffb030-1trusty ceph-dbg=0.94-917-g2ffb030-1trusty libcephfs-java=0.94-917-g2ffb030-1trusty libcephfs1=0.94-917-g2ffb030-1trusty'
2015-05-06T09:18:42.700 INFO:teuthology.orchestra.run.burnupi46.stdout:Reading package lists...
2015-05-06T09:18:43.000 INFO:teuthology.orchestra.run.burnupi46.stdout:Building dependency tree...
2015-05-06T09:18:43.003 INFO:teuthology.orchestra.run.burnupi46.stdout:Reading state information...
2015-05-06T09:18:43.287 INFO:teuthology.orchestra.run.burnupi46.stdout:Some packages could not be installed. This may mean that you have
2015-05-06T09:18:43.287 INFO:teuthology.orchestra.run.burnupi46.stdout:requested an impossible situation or if you are using the unstable
2015-05-06T09:18:43.287 INFO:teuthology.orchestra.run.burnupi46.stdout:distribution that some required packages have not yet been created
2015-05-06T09:18:43.288 INFO:teuthology.orchestra.run.burnupi46.stdout:or been moved out of Incoming.
2015-05-06T09:18:43.288 INFO:teuthology.orchestra.run.burnupi46.stdout:The following information may help to resolve the situation:
2015-05-06T09:18:43.288 INFO:teuthology.orchestra.run.burnupi46.stdout:
2015-05-06T09:18:43.288 INFO:teuthology.orchestra.run.burnupi46.stdout:The following packages have unmet dependencies:
2015-05-06T09:18:43.289 INFO:teuthology.orchestra.run.burnupi46.stdout: ceph-common : Depends: librbd1 (= 0.94.1-47-g58b30d5-1trusty) but 0.94-917-g2ffb030-1trusty is to be installed

I don't understand why apt-get wouldn't understand that it needs to upgrade ceph-common in that transaction :(


The rest of the logs show apt-get installation failures associated with /usr/lib/debug/usr/bin/ceph-objectstore-tool. I've opened a separate ticket to track that issue, #11673 .

#9 Updated by Yuri Weinstein over 4 years ago

  • ceph-qa-suite upgrade/firefly-x added

#10 Updated by Zack Cerza over 4 years ago

I'm seeing something different in that last run:

1604 2015-05-21T15:40:47.679 INFO:teuthology.orchestra.run.vpm099.stdout:Preparing to replace ceph-test-dbg 0.80.9-245-g68211f6-1precise (using .../ceph-test-dbg_0.94.1-116-g63832d4
     -1precise_amd64.deb) ...
1605 2015-05-21T15:40:47.684 INFO:teuthology.orchestra.run.vpm099.stdout:Unpacking replacement ceph-test-dbg ...
1606 2015-05-21T15:41:51.143 INFO:teuthology.orchestra.run.vpm099.stdout:Processing triggers for man-db ...
1607 2015-05-21T15:41:55.185 INFO:teuthology.orchestra.run.vpm099.stdout:Processing triggers for ureadahead ...
1608 2015-05-21T15:41:55.234 INFO:teuthology.orchestra.run.vpm099.stderr:Errors were encountered while processing:
1609 2015-05-21T15:41:55.234 INFO:teuthology.orchestra.run.vpm099.stderr: /var/cache/apt/archives/ceph-dbg_0.94.1-116-g63832d4-1precise_amd64.deb
1610 2015-05-21T15:41:55.485 INFO:teuthology.orchestra.run.vpm099.stderr:E: Sub-process /usr/bin/dpkg returned an error code (1)

Looks like a problem with packaging, not teuthology.

#11 Updated by Yuri Weinstein over 4 years ago

  • Project changed from teuthology to devops

#12 Updated by Ken Dreyer over 4 years ago

When #11733 is fixed, does this problem still recur?

#14 Updated by Loic Dachary over 4 years ago

#11733 has been resolved

#15 Updated by Loic Dachary over 4 years ago

  • Status changed from New to Resolved

#16 Updated by Yuri Weinstein over 4 years ago

  • Status changed from Resolved to New

Tests still failing
Run: http://pulpito.ceph.com/teuthology-2015-05-27_07:59:13-upgrade:firefly-x-hammer-distro-basic-vps/

sha1: eb69cf758eb25e7ac71e36c754b9b959edb67cee

#17 Updated by Loic Dachary over 4 years ago

  • Status changed from New to Verified
  • Assignee set to Ken Dreyer
2015-05-27T08:16:15.592 INFO:teuthology.orchestra.run.vpm039.stdout:Preparing to replace ceph-dbg 0.80.9-245-g68211f6-1precise (using .../ceph-dbg_0.94.1-118-geb69cf7-1precise_amd64.deb) ...
2015-05-27T08:16:15.612 INFO:teuthology.orchestra.run.vpm039.stdout:Unpacking replacement ceph-dbg ...
2015-05-27T08:16:17.113 INFO:teuthology.orchestra.run.vpm039.stderr:dpkg: error processing /var/cache/apt/archives/ceph-dbg_0.94.1-118-geb69cf7-1precise_amd64.deb (--unpack):
2015-05-27T08:16:17.114 INFO:teuthology.orchestra.run.vpm039.stderr: trying to overwrite '/usr/lib/debug/usr/bin/ceph-objectstore-tool', which is also in package ceph-test-dbg 0.80.9-245-g68211f6-1precise

#18 Updated by Ken Dreyer over 4 years ago

There must be some additional Debian packaging changes that we need in order to make apt upgrade ceph-test-dbg-0.80.9 to ceph-test-dbg-0.94.1 before it tries to upgrade ceph-dbg-0.94.1.

#19 Updated by Loic Dachary over 4 years ago

  • Status changed from Verified to In Progress
  • Assignee changed from Ken Dreyer to Loic Dachary

#20 Updated by Loic Dachary over 4 years ago

  • Subject changed from Packaging failures (?) to ceph / ceph-dbg steal ceph-objecstore-tool from ceph-test / ceph-test-dbg

#21 Updated by Loic Dachary over 4 years ago

  • Status changed from In Progress to Need Review

#22 Updated by Loic Dachary over 4 years ago

re-run a job known to fail (upgrade:firefly-x/parallel/{0-cluster/start.yaml 1-firefly-install/firefly.yaml 2-workload/{ec-rados-parallel.yaml rados_api.yaml rados_loadgenbig.yaml test_rbd_api.yaml test_rbd_python.yaml} 3-upgrade-sequence/upgrade-mon-osd-mds.yaml 4-final-workload/{rados-snaps-few-objects.yaml rados_loadgenmix.yaml rados_mon_thrash.yaml rbd_cls.yaml rbd_import_export.yaml rgw_swift.yaml} distros/ubuntu_12.04.yaml}) with the proposed modification to verify it works

./virtualenv/bin/teuthology-suite --filter="upgrade:firefly-x/parallel/{0-cluster/start.yaml 1-firefly-install/firefly.yaml 2-workload/{ec-rados-parallel.yaml rados_api.yaml rados_loadgenbig.yaml test_rbd_api.yaml test_rbd_python.yaml} 3-upgrade-sequence/upgrade-mon-osd-mds.yaml 4-final-workload/{rados-snaps-few-objects.yaml rados_loadgenmix.yaml rados_mon_thrash.yaml rbd_cls.yaml rbd_import_export.yaml rgw_swift.yaml} distros/ubuntu_14.04.yaml}" --priority 50 --suite upgrade/firefly-x --suite-branch master --machine-type plana,burnupi,mira --distro ubuntu --email loic@dachary.org --ceph wip-11546-debian-packages

http://pulpito.ceph.com/loic-2015-05-28_17:16:30-upgrade:firefly-x-wip-11546-debian-packages---basic-multi/

#23 Updated by Loic Dachary over 4 years ago

http://pulpito.ceph.com/loic-2015-05-28_17:16:30-upgrade:firefly-x-wip-11546-debian-packages---basic-multi/ successfully upgrades:

2015-05-28T08:40:34.312 INFO:teuthology.orchestra.run.burnupi13:Running: 'sudo DEBIAN_FRONTEND=noninteractive apt-get -y --force-yes -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install ceph=0.80.9-247-g071c943-1trusty ceph-dbg=0.80.9-247-g071c943-1trusty ceph-mds=0.80.9-247-g071c943-1trusty ceph-mds-dbg=0.80.9-247-g071c943-1trusty ceph-common=0.80.9-247-g071c943-1trusty ceph-common-dbg=0.80.9-247-g071c943-1trusty ceph-fuse=0.80.9-247-g071c943-1trusty ceph-fuse-dbg=0.80.9-247-g071c943-1trusty ceph-test=0.80.9-247-g071c943-1trusty ceph-test-dbg=0.80.9-247-g071c943-1trusty radosgw=0.80.9-247-g071c943-1trusty radosgw-dbg=0.80.9-247-g071c943-1trusty python-ceph=0.80.9-247-g071c943-1trusty libcephfs1=0.80.9-247-g071c943-1trusty libcephfs1-dbg=0.80.9-247-g071c943-1trusty libcephfs-java=0.80.9-247-g071c943-1trusty libcephfs-jni=0.80.9-247-g071c943-1trusty librados2=0.80.9-247-g071c943-1trusty librados2-dbg=0.80.9-247-g071c943-1trusty librbd1=0.80.9-247-g071c943-1trusty librbd1-dbg=0.80.9-247-g071c943-1trusty rbd-fuse=0.80.9-247-g071c943-1trusty librados2=0.80.9-247-g071c943-1trusty librados2-dbg=0.80.9-247-g071c943-1trusty librbd1=0.80.9-247-g071c943-1trusty librbd1-dbg=0.80.9-247-g071c943-1trusty'
...
2015-05-28T08:42:59.155 INFO:teuthology.orchestra.run.plana25:Running: 'sudo DEBIAN_FRONTEND=noninteractive apt-get -y --force-yes -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" install librbd1-dbg=9.0.0-1058-g6f11fbf-1trusty ceph=9.0.0-1058-g6f11fbf-1trusty ceph-test=9.0.0-1058-g6f11fbf-1trusty ceph-dbg=9.0.0-1058-g6f11fbf-1trusty rbd-fuse=9.0.0-1058-g6f11fbf-1trusty librados2-dbg=9.0.0-1058-g6f11fbf-1trusty ceph-fuse-dbg=9.0.0-1058-g6f11fbf-1trusty libcephfs-jni=9.0.0-1058-g6f11fbf-1trusty libcephfs1-dbg=9.0.0-1058-g6f11fbf-1trusty radosgw=9.0.0-1058-g6f11fbf-1trusty librados2=9.0.0-1058-g6f11fbf-1trusty libcephfs1=9.0.0-1058-g6f11fbf-1trusty ceph-mds=9.0.0-1058-g6f11fbf-1trusty radosgw-dbg=9.0.0-1058-g6f11fbf-1trusty librbd1=9.0.0-1058-g6f11fbf-1trusty python-ceph=9.0.0-1058-g6f11fbf-1trusty ceph-test-dbg=9.0.0-1058-g6f11fbf-1trusty ceph-fuse=9.0.0-1058-g6f11fbf-1trusty ceph-common=9.0.0-1058-g6f11fbf-1trusty libcephfs-java=9.0.0-1058-g6f11fbf-1trusty ceph-common-dbg=9.0.0-1058-g6f11fbf-1trusty ceph-mds-dbg=9.0.0-1058-g6f11fbf-1trusty'
...

the test fails because of an unrelated issue
2015-05-28T10:04:09.043 INFO:tasks.workunit.client.1.burnupi13.stdout:[  FAILED  ] LibRadosTwoPoolsPP.Evict
2015-05-28T10:04:09.043 INFO:tasks.workunit.client.1.burnupi13.stdout:[  FAILED  ] LibRadosTwoPoolsECPP.Evict

#24 Updated by Loic Dachary over 4 years ago

  • Status changed from Need Review to Pending Backport

#25 Updated by Loic Dachary over 4 years ago

  • Status changed from Pending Backport to Resolved
  • Backport set to hammer

#26 Updated by Loic Dachary about 4 years ago

  • Status changed from Resolved to Pending Backport

#27 Updated by Loic Dachary about 4 years ago

  • Status changed from Pending Backport to Resolved

Also available in: Atom PDF